package zemplen.ui;

import org.eclipse.swt.widgets.Composite;

import zemplen.model.NevezesiHely;

import hibergui.Form;
import hibergui.hibernate.HibernateM2OEdit_Combo;

public class NevezesiHelyCombo extends HibernateM2OEdit_Combo<NevezesiHely> {

    public NevezesiHelyCombo(Form form, Composite cptParent, int style) {
        super(form, cptParent, style, "nevezesiHely", "nevezési hely", "elnevezes");

        btnAssoc.setText("Nevezési helyek");
        refresh();
    }

    @Override
	protected Form<NevezesiHely> createForm(Composite cptParent, int style) {
        return new NevezesiHelyForm(cptParent, style);
    }
}
